This page is a wiki. Please login or create an account to begin editing.


10 posts / 0 new
Last post
OSH's picture
OSH
Offline
Joined: 2010 May 19
Decarbonizing mac games

Hi!
I Want to know one thing: it is possible to decarbonizing mac games? For example: I've download Europa Universalis II, mount it under Sheepshaver and after click on game's icon I see message about CarbonLib. I want run this game without this CarbonLib under MacOS 9.0 and not OSX! Do you have any suggestions (except "install it under OSX" of course)?

Comments

Mulder's picture
Offline
Joined: 2012 Jan 29

What's the exact message about CarbonLib that you see, and what version of Mac OS are you running? CarbonLib is a series of extensions that are part of Mac OS, so if you deactivate them, your program may not run at all.

Gary's picture
Offline
Joined: 2011 Jul 21

It was possible for a developer to include a 68k, PPC and carbon version in a single app. Some developers built such apps. Many didn't.

If the app doesn't include a native PPC copy, it is impossible to add it in "after the fact" - unless you have access to the source code.

To know if you have a native app, put the system extension 'CarbonLib' in the disabled folder and restart. Then try the app. If it runs, you have a native version.

Gary
(Former Developer)

IIGS_User's picture
Offline
Joined: 2009 Apr 8

In fact, you'ld need the CarbonLib system extension, if you want to run this in Mac OS 9.

bertyboy's picture
Offline
Joined: 2009 Jun 14

Like IIGS_User says, CarbonLib was part of OS9, maybe even OS8.6. It was a code framework that allowed developers to write code that could run native in OS9 and in OSX.
Cocoa was the alternative when OSX was the norm, but this would mean the app would run only in OSX.

themacmeister's picture
Offline
Joined: 2009 Oct 26

I'm sure CarbonLib ran on 8.6.

IIGS_User's picture
Offline
Joined: 2009 Apr 8

Yes, early versions of CarbonLib are compatible to Mac OS 8.6 as well.

MikeTomTom's picture
Online
Joined: 2009 Dec 7

CarbonLib version 1.0.4 requires Mac OS 8.1 or newer.

IIGS_User's picture
Offline
Joined: 2009 Apr 8

Often games require a specific version of CarbonLib as minimum version,
but nice to see Mac OS 8.1 is also supported by early versions of CarbonLib.

OSH's picture
OSH
Offline
Joined: 2010 May 19

Thanks guys for your help Smile